Subject: bug#15861: 24.3.50; lots of byte-compiler code written to *Messages* at runtime

From: Andreas Röhler <[email-masked]>
Date: Tue, 12 Nov 2013 09:15:48 +0100

Am 11.11.2013 20:30, schrieb Drew Adams:
> The subject line might not be the best description.  And you might not
> see that this is a bug.  In that case, please let me know how to work
> around the behavior I see, as it is quite annoying.
>
> In a Lisp file that I byte-compile and load, I have a redefinition of
> `ls-lisp--insert-directory'.  (I do not see another, better way to
> accomplish the behavior change I need.)  I added this when vanilla Emacs
> was changed recently to use this function.  The bug does not appear for
> older Emacs code (e.g. older Emacs 24 Dev snapshots, which do not have
> `ls-lisp--insert-directory').
>
> It is true that I byte-compile this library using Emacs 20, because the
> library is used with multiple Emacs versions.  I don't know whether
> byte-compiling it in Emacs 24 would make a difference wrt this annoying
> behavior.
>
>

+1

Suggest to introduce a variable WRT verbosity, so we might see more warnings if interested.